Bug 473374 - Duel3 buffer overflow
Duel3 buffer overflow
Product: Fedora
Classification: Fedora
Component: duel3 (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-28 00:22 EST by Jerry James
Modified: 2008-12-06 23:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-06 23:11:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-11-28 00:22:03 EST
Description of problem:
In a fresh Fedora 10 install, I tried playing duel3 with my son.  When the player using the left side of the keyboard hit the left shift button, the game crashed.  In .xsession-errors, I found this:

*** buffer overflow detected ***: duel3 terminated
======= Backtrace: =========

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start duel3
2. Choose a 2-player game
3. Push the left shift button
Actual results:
Duel3 is killed due to a buffer overflow.

Expected results:
Duel3 continues to work.

Additional info:
Comment 1 Hans de Goede 2008-12-03 13:37:48 EST
Thanks for reporting this. I've managed to reproduce this (it only happens when you choose a certain ship in duel mode) and an update fixing this is on its way.
Comment 2 Jerry James 2008-12-03 13:50:59 EST
Excellent work!  My son thanks you, because after all, it's HIM that wants to play games, not me.....
Comment 3 Fedora Update System 2008-12-03 13:58:45 EST
duel3-0.1-0.6.20060225.fc10 has been submitted as an update for Fedora 10.
Comment 4 Fedora Update System 2008-12-06 23:11:27 EST
duel3-0.1-0.6.20060225.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.